Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils

From: Akim Demaille <[email-masked]>
Date: Sat, 21 Nov 2020 07:35:48 +0100

Hi Pádraig,

> Le 20 nov. 2020 à 15:47, Pádraig Brady <[email-masked]> a écrit :
> 
> On 20/11/2020 14:19, Chris Elvidge wrote:
>> I keep getting
>> ./lib/stdlib.h:695:5: error: token "@" is not valid in preprocessor
>> expressions
>>   #if @GNULIB_ALIGNED_ALLOC@
>>       ^
>> ./lib/stdlib.h:1059:5: error: token "@" is not valid in preprocessor
>> expressions
>>   #if @GNULIB_POSIX_MEMALIGN@
> 
> Please update bison to >= 3.5.
> I don't know what the exact new requirement is,
> but will update bootstrap.conf to check that very soon.
> 
> Akim do you know the min bison version
> now required by the latest gnulib?
> That would spare me some bisecting.

I wasn't aware of any strong dependency such as this one (and I actually
still have not understood what the problem is, and how problems with
AC_SUBST are related to Bison here).

The only I see in gnulib which is a *.y is lib/parse-datetime.y.
And I don't see anything special in it that would require any special
version of Bison.

Just in case:

$ for i in /usr/local/stow/bison-3.*
do
echo "$i..."  
$i/bin/bison lib/parse-datetime.y
done
/usr/local/stow/bison-3.0.5...
/usr/local/stow/bison-3.1...
/usr/local/stow/bison-3.2.4...
/usr/local/stow/bison-3.3.2...
/usr/local/stow/bison-3.4.2...
/usr/local/stow/bison-3.5.4...
/usr/local/stow/bison-3.6.4...
/usr/local/stow/bison-3.7...
/usr/local/stow/bison-3.7.1...
/usr/local/stow/bison-3.7.2...
/usr/local/stow/bison-3.7.3...

I think I have not understood the question, sorry :(  What exactly
happens here?  Is configure properly rerun each time, without cache?
Why are we talking about Bison?